const gulp = require('gulp');
const minify = require('gulp-minify');
const rm = require('gulp-rm');
const concat = require('gulp-concat');
const sass = require('gulp-sass');
const postcss = require('gulp-postcss');
const autoprefixer = require('autoprefixer');
const cssnano = require('cssnano');

gulp.task('clean-js', function () {
  try {
    return gulp.src([
      'libs/js/clickheat-min.js',
      'libs/js/clickheat.js'
    ]).pipe(rm());
  } catch (e) {}
});

gulp.task('minify-js', gulp.series('clean-js', function () {
  return gulp.src([
    'libs/js/clickheat-deps.js',
    'libs/js/clickheat-original.js'
  ])
    .pipe(concat('clickheat.js'))
    .pipe(minify())
    .pipe(gulp.dest('libs/js/'))
}));

gulp.task('styles', function () {
  return gulp.src([
    'libs/scss/admin.scss'
  ])
    .pipe(sass())
    .pipe(postcss([
      autoprefixer({
        browsers: ['last 2 versions'],
        cascade: false
      }),
      cssnano()
    ]))
    .pipe(gulp.dest('libs/css/'));
});
